import { EntitySchema, ObjectLiteral } from 'typeorm';
export interface IResolverClass<T> {
    createOne: (data: EntitySchema<T> | ObjectLiteral) => Promise<T | unknown>;
    createMany: (data: EntitySchema<T>[] | ObjectLiteral[]) => Promise<T[] | unknown>;
    findOne: (where: EntitySchema<T> | ObjectLiteral) => Promise<T | unknown>;
    findMany: (where: EntitySchema<T>[] | ObjectLiteral[]) => Promise<T[] | unknown>;
}
